%--------------------------------------------------------
%--------------------------------------------------------  
j = 12; % Which epoch should be displayed (1..12)

year = 2014;
month = 6;
day = 29;
hour = (j-1)*2;
MIN = 0;
%--------------------------------------------------------
%--------------------------------------------------------  

figure(j)

[XI,YI]= meshgrid(-180:5:180,87.5:-2.5:-87.5); % Original extent with different Latitude and longitude resolution.
XCol = XI(1,:);
XCol = transpose(XCol);
YCol = YI(:,1);
[XI,YI]= meshgrid(-180:2.5:180,87.5:-2.5:-87.5); % The new extent which has now equal reslution in both directions.

TEC=griddata(XCol,YCol,TECMatrixDay(:,:,j),XI,YI,'v4');

alpha = 40.3e16 / (1575.42e6)^2;
TEC_meters = alpha .* TEC;

[M, c] = contourf(-180:2.5:180, -87.5:2.5:87.5, TEC_meters, 100, 'LineColor','none');
set(gcf, 'Position',[100 100 1200 600])
axis equal
colormap('jet')
cb = colorbar;
caxis([0, 10]);

xlabel('longitude [°]', 'FontSize',12)
ylabel('latitude [°]', 'FontSize',12)
ylabel(cb, 'Ionospheric L1 correction [m]', 'FontSize',12)
title(sprintf('Global Ionospheric Map - IONEX @ %d-%02d-%02d %02d:%02d [UT-19s]', year, month, day, hour, MIN), 'FontSize',14)



